net.corda.core.contracts

## Enum Tenor.TimeUnit

- Enclosing class:
    Tenor

      public static enum Tenor.TimeUnit

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Day`
    `Month`
    `Week`
    `Year`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()`

- - ### Enum Constant Detail

    - #### Day

          public static Tenor.TimeUnit Day

    - #### Week

          public static Tenor.TimeUnit Week

    - #### Month

          public static Tenor.TimeUnit Month

    - #### Year

          public static Tenor.TimeUnit Year

  - ### Method Detail

    - #### getCode

          public java.lang.String getCode()